Payments & Fund TransfersBatch Payments

List Batch Payments

GET
/v1/payment-batches

Authorization

authorization
AuthorizationBearer <token>

Set Your Secret API Key

In: header

Query Parameters

after?string

An object ID used as a cursor in pagination. If a list request returns 100 objects ending with obj_0KSEVXZ2ZF0AV, a subsequent call can include after=obj_0KSEVXZ2ZF0AV to fetch the next page of the list.

limit?integer

A limit on the number of objects to be returned, between 1 and 100.

Formatint32
order?string

Sort list objects in either ascending or descending order.

Value in

  • "ASC"
  • "DESC"

Response Body

*/*

curl -X GET "https://example.com/v1/payment-batches"
{  "data": [    {      "createdAt": "string",      "currency": "string",      "id": "string",      "metadata": {        "fileName": "string"      },      "paymentDate": "string",      "payments": [        {          "amount": 0,          "bankChargeBearer": "string",          "createdAt": "string",          "currency": "string",          "customerReference": "string",          "id": "string",          "instructionForSenderBank": "string",          "paymentAdviceEmails": [            "string"          ],          "paymentDetails": "string",          "purposeOfPayment": "string",          "receiver": {            "address": {              "city": "string",              "country": "string",              "line1": "string",              "line2": "string",              "postalCode": "string",              "state": "string"            },            "bank": "string",            "bankAccountNumber": "string",            "intermediaryBank": "string",            "localRoutingIdentifier": "string",            "name": "string",            "proxyType": "string",            "proxyValue": "string"          },          "resultCode": "string",          "status": "string",          "underlyingErrorMessage": "string",          "updatedAt": "string"        }      ],      "senderAccountCurrency": "string",      "senderAccountId": "string",      "status": "string",      "type": "string",      "underlyingErrorMessage": "string",      "updatedAt": "string"    }  ],  "hasMore": true}